This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 114925 - CAN-2003-0618 leaks file existance information
CAN-2003-0618 leaks file existance information
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 11:35 EST by Mark J. Cox (Product Security)
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-28 08:20:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-02-04 11:35:16 EST
CAN-2003-0618 was reported 2003Jul29 to Debian. You can test for the
existance of files even if you don't have permission to do so by using
the suidperl command.

        $ su
        # mkdir ~root/delme; chmod 700 ~root/delme;touch ~root/delme/1
        # exit
        $ suidperl ~root/delme/1
        Script is not setuid/setgid in suidperl
        $ suidperl ~root/delme/2
        Can't open perl script "/root/delme/2": No such file ...

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=220486
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203426

        Affects: 9

Debian released an errata for this issue in Feb 2004.
Comment 1 Leonard den Ottolander 2004-04-21 11:52:07 EDT
Does this issue affect FC 1 as well?
Comment 2 Leonard den Ottolander 2004-04-21 13:12:09 EDT
The answer to my own question is yes. This still affects
perl-suidperl-5.8.3-16.

Will we see a RHL 9 erratum before its EOL?
Comment 3 Mark J. Cox (Product Security) 2004-04-22 11:37:22 EDT
Discussion over the proposed patch reached the conclusion that the
patch wasn't the right one to solve this issue without side-effects. 
In fact Debian recently reissued their packages with an altered fix. 
Given the low risk of this issue I feel it unlikely that we will
errata this for RHL9.

Note You need to log in before you can comment on or make changes to this bug.